Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.activation
Class ActivationGroupDesc.CommandEnvironment

    java.lang.Object
      |
      +--java.rmi.activation.ActivationGroupDesc.CommandEnvironment

All Implemented Interfaces:
  Serializable

Enclosing class:
  ActivationGroupDesc

public static class ActivationGroupDesc.CommandEnvironment
extends Object
implements Serializable

Startup options for ActivationGroup implementations. This class allows overriding default system properties and specifying implementation-defined options for ActivationGroups.

Since:
  1.2
See Also:
  Serialized Form

Constructor Summary
`ActivationGroupDesc.CommandEnvironment(String cmdpath, String[] argv)` Create a CommandEnvironment with all the necessary information.

Method Summary
`boolean` | `equals(Object obj)` Compares two command environments for content equality.
`String[]` | `getCommandOptions()` Fetch the configured java command options.
`String` | `getCommandPath()` Fetch the configured path-qualified java command name.
`int` | `hashCode()` Return identical values for similar `CommandEnvironment`s.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationGroupDesc.CommandEnvironment

    public ActivationGroupDesc.CommandEnvironment(String cmdpath,
                                                  String[] argv)

  Create a CommandEnvironment with all the necessary information.
  Parameters:
    `cmdpath` - the name of the java executable, including the full path, or `null`, meaning "use rmid's default". The named program must be able to accept multiple `-Dpropname=value` options (as documented for the "java" tool)
    `argv` - extra options which will be used in creating the ActivationGroup. Null has the same effect as an empty list.
  Since:
    1.2

Method Detail

### getCommandPath

    public String getCommandPath()

  Fetch the configured path-qualified java command name.
  Returns:
    the configured name, or `null` if configured to accept the default
  Since:
    1.2

### getCommandOptions

    public String[] getCommandOptions()

  Fetch the configured java command options.
  Returns:
    An array of the command options which will be passed to the new child command by rmid. Note that rmid may add other options before or after these options, or both. Never returns `null`.
  Since:
    1.2

### equals

    public boolean equals(Object obj)

  Compares two command environments for content equality.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Object to compare with
  Returns:
    true if these Objects are equal; false otherwise.
  Since:
    1.2
  See Also:
    `Hashtable`

### hashCode

    public int hashCode()

  Return identical values for similar `CommandEnvironment`s.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    an integer
  See Also:
    `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.